t0=2017.5; tf=2025.5; % estremi dell'intervallo temporale
y0=100;        % condizione iniziale
f=@(t,y)0.06*y; % funzione f(t,y)
yex=@(t)y0*exp(0.06*(t-t0)); % soluzione esatta
H=[0.1, 0.05, 0.01, 0.005, 0.001]; % vettore passi temporali
Err=[ ];
for h=H
Nh=fix((tf-t0)/h); % calcolo Nh
% calcolo la soluzione numerica con il metodo di Eulero
[tn,un]=eulero(f,t0,tf,y0,Nh);
yn=yex(tn); % valuto la soluzione esatta nei punti della griglia
err=max(abs(un-yn)); % calcolo l'errore per lo specifico h
Err=[Err, err]; % aggiungo l'errore trovato in coda al vettore Err
end
% disegno un grafico con il comportamento degli errori
figure(1); clf % seleziono e pulisco la finestra grafica
loglog(H,Err,'Linewidth',3); % disegno gli errori in funzione di h
grid on; hold on; % disegno la griglia e preservo il grafico
loglog(H,H,'Linewidth',3); % disegno la retta y=h
xlabel('h','Fontsize',18);
ylabel('errori','Fontsize',18)
le=legend('errore Eulero','h'); % definisco la legenda
set(le,'Fontsize',18,'Location','Northwest')
set(gca,'Fontsize',18)
