t0=2017.5; tf=2025.5; % estremi dell'intervallo temporale
y0=100; % condizione iniziale
h=1/12;  % definisco il passo h
Nh=fix((tf-t0)/h); % calcolo Nh
% risolvo il problema della dinamica naturale con prelievo esterno
b=@(t)-0.06*(2-exp(-5*(sin(t*pi))^2)); % definisco b(t)
% funzione f(t,y) per la dinamica naturale con prelievo esterno
f=@(t,y)(0.06+b(t))*y; 
% calcolo la soluzione numerica con il metodo di Eulero
[tn,un]=eulero(f,t0,tf,y0,Nh);
% disegno la soluzione 
figure(1); clf % seleziono e pulisco la finestra grafica
plot(tn,un,'Linewidth',2); grid on
xlabel('t','Fontsize',16);
le=legend('dinamica con prelievo esterno'); % definisco la legenda
set(le,'Fontsize',16,'Location','Northeast')
set(gca,'Fontsize',16)
