function G=matrice_G(A,alpha)
% function G=matrice_G(A,alpha); costruisce la matrice G associata al grafo
% Input: A = matrice di connessione del grafo
%        alpha = parametro per costruire G
% Ouput: G = matrice di Google della rete
N=length(A); % numero di nodi della rete
L=zeros(N,1); S=zeros(N); % inizializziamo L e S
for j=1:N
L(j)=sum(A(:,j)); % L_j contiene il numero totale di link uscenti dal nodo j
end
% costruiamo S
for j=1:N
if L(j)~=0 
    S(:,j)=A(:,j)/L(j); % assegnazione di s_ij se j non e` un nodo dangling
else
    S(:,j)=1/N; %  assegnazione di s_ij se j e` un nodo dangling
end
end
% costruiamo G
G=alpha*S+(1-alpha)/N;
