function [x]=meg(A,b)
% meg: calcola la soluzione del sistema Ax=b con il MEG
% Istruzione di chiamata: x=meg(A,b)
% Input: A = matrice quadrata del sistema
%        b = vettore colonna, termine noto del sistema
% Output: x = vettore colonna, soluzione del sistema
[n,m]= size(A); % calcoliamo le dimensioni di A
[nrb,ncb]=size(b); % calcoliamo le dimensioni di b
if n == m && n==nrb 
% il sistema è risolto solo se A è quadrata e b è un vettore colonna
% della stessa dimensione di A
% fase di riduzione
  for k=1:n-1
     for i=k+1:n
        if A(k,k)==0 
           warning('Il MEG non può giungere a terminazione');
           x=[ ]; return
        end
        mik=A(i,k)/A(k,k);
        for j=k+1:n
           A(i,j)=A(i,j)-mik*A(k,j);
        end
        b(i)=b(i)-mik*b(k);
     end
  end
% fase di sostituzione
  x=zeros(n,1);
  x(n)=b(n)/A(n,n);
  for i=n-1:-1:1
     s=0;
     for j=i+1:n
        s=s+A(i,j)*x(j);
     end
     x(i)=(b(i)-s)/A(i,i);
  end
else % il sistema non risolubile con MEG
disp('La matrice non è quadrata')
x=[ ];
end
