function [p]=pressioni(G,pa,pv)
% [p]=pressioni(G,pa,pv) calcola le pressioni per un letto di capillari
% Input:  G = matrice del grafo
%         pa, pv = pressioni nell'arteriola e nella venula 
% Output: p = vettore delle pressioni nei nodi del letto capillare

% Costruiamo la matrice A ...
n=length(G); A=zeros(n); A(1,1)=1; A(n,n)=1;
for i=2:n-1
    for j=1:n
        if G(i,j)~=0
        A(i,j)=-1/G(i,j); 
        A(i,i)=A(i,i)+1/G(i,j);
        end
    end
end
b=zeros(n,1); b(1)=pa; b(n)=pv; % ...e il termine noto
p=A\b; % risolviamo il sistema lineare con MEG
for i=1:n  % stampiamo le pressioni
fprintf('La pressione nel nodo %d è pari a %8.4f mmHg\n',i,p(i))
end

