function [v]=velmedie(G,Q,Area)
% [v]=velmedie(G,Q,Area) calcola le velocità  medie per un letto
% di capillari
% Input:  G = matrice del grafo
%             (le lunghezze degli archi sono in mm)
%         Q = matrice delle portate (in mm^3/s)
%         Area = Area della sezione trasversale dei capillari (in mm^2)
% Output: v = matrice delle velocità medie (in mm/s)

n=length(G);  % determiniamo il numero di nodi del letto
v=zeros(n); % inizializziamo la matrice delle velocità
for i=1:n
    for j=1:n
        if G(i,j)~=0
% se i nodi i e j sono connessi, calcoliamo la velocità media
% nel capillare C_ij
         v(i,j)=Q(i,j)/Area;
% stampiamo le velocita` medie (ricordiamo che C_ij=C_ji, quindi basta
% stampare i valori quando j>i)          
         if j>i
          fprintf('La vel media in C_%1d%1d è %8.4f mm/s\n',i,j,v(i,j))
         end
        end
    end
end

